Update browser?

  • Author
    Posts
  • #908313

    janet056
    Member

    Why did I get a notice to update my browser when I already am using IE9?

    The blog I need help with is janet056.wordpress.com.

    #908427

    macmanx
    Staff

    It looks like your browser is reporting itself as IE 7?

    One of the drawbacks of using compatibility mode is that IE 9 will report itself as IE 7. Are you using compatibility mode?

    #908548

    ximaar
    Member

    Why did I get a notice to update my browser when I already am using IE8 and XP does not support IE9. It works fine alle around for alle websites that I visit. No other complaining parties yet.

    http://ximaar.wordpress.com

    #908549

    timethief
    Member

    You got a notice simply because IE9 is the latest version of the IE browser. I’m on widows XP too but I don’t use IE8. I use Firefox 12 as it’s a far better and more reliable browser and it’s very rare when anyone ever reports an issue with using it.

    #908552

    macmanx
    Staff

    Exactly, IE 8 is not the latest release, so it is not capable of rendering the very latest web technologies and may have some security issues.

    Unlike IE, the latest releases of Firefox, Chrome, Safari, and Opera all support Windows XP. I highly recommend switching to one of those.

    http://browsehappy.com/

The topic ‘Update browser?’ is closed to new replies.